Bug 199618 - vgremove should behave like lvremove and pvremove
vgremove should behave like lvremove and pvremove
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 15:26 EDT by Corey Marthaler
Modified: 2013-02-28 23:04 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0753
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 10:58:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (549 bytes, patch)
2007-03-15 09:15 EDT, Milan Broz
no flags Details | Diff

  None (edit)
Description Corey Marthaler 2006-07-20 15:26:44 EDT
pvremove and lvremove both require arguments, vgremove does not.


Description of problem:
[root@taft-04 ~]# lvscan
  ACTIVE            '/dev/vg/lvol0' [1.00 GB] inherit
[root@taft-04 ~]# lvremove
  Please enter one or more logical volume paths
  lvremove: Remove logical volume(s) from the system

lvremove
        [-A|--autobackup y|n]
        [-d|--debug]
        [-f|--force]
        [-h|--help]
        [-t|--test]
        [-v|--verbose]
        [--version]
        LogicalVolume[Path] [LogicalVolume[Path]...]

[root@taft-04 ~]# lvremove /dev/vg/lvol0
Do you really want to remove active logical volume "lvol0"? [y/n]: y
  Logical volume "lvol0" successfully removed

[root@taft-04 ~]# vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "vg" using metadata type lvm2
[root@taft-04 ~]# vgremove
  Volume group "vg" successfully removed

[root@taft-04 ~]# pvscan
  PV /dev/sdb1         lvm2 [272.46 GB]
  PV /dev/sdc1         lvm2 [272.46 GB]
  PV /dev/sdd1         lvm2 [964.81 MB]
  Total: 3 [545.86 GB] / in use: 0 [0   ] / in no VG: 3 [545.86 GB]
[root@taft-04 ~]# pvremove
  Please enter a physical volume path
  pvremove: Remove LVM label(s) from physical volume(s)

pvremove
        [-d|--debug]
        [-f[f]|--force [--force]]
        [-h|-?|--help]
        [-t|--test]
        [-v|--verbose]
        [-y|--yes]
        [--version]
        PhysicalVolume [PhysicalVolume...]

[root@taft-04 ~]# pvremove /dev/sdb1 /dev/sdc1 /dev/sdd1
  Labels on physical volume "/dev/sdb1" successfully wiped
  Labels on physical volume "/dev/sdc1" successfully wiped
  Labels on physical volume "/dev/sdd1" successfully wiped
Comment 1 Milan Broz 2007-03-15 09:15:23 EDT
Created attachment 150122 [details]
Proposed fix
Comment 2 Milan Broz 2007-03-15 10:03:01 EDT
Fixed upstream in 2.02.24.
Comment 3 RHEL Product and Program Management 2007-05-09 05:59:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Corey Marthaler 2007-07-27 11:46:17 EDT
fix verified in lvm2-2.02.27-1.el4.
Comment 7 errata-xmlrpc 2007-11-15 10:58:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0753.html

Note You need to log in before you can comment on or make changes to this bug.